#include "rectangle.h"

/* Are two rectangles colliding? */
bool
rectangle_collide(vec4 a, vec4 b)
{
	if
	(
		a[0] > b[0] &&
		a[0] < b[0] + (b[2] - b[0]) &&
		a[1] > b[1] &&
		a[1] < b[1] + (b[3] - b[1])
	)
		return true;
	return false;
}
